Bug 846909 - soa-p-5.3.0.GA-jbpm5 is not working
soa-p-5.3.0.GA-jbpm5 is not working
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Standalone Server, doc-ESB_Services_Guide (Show other bugs)
5.3.0 GA
All Windows
unspecified Severity high
: ---
: ---
Assigned To: Suz
Marek Baluch
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 01:57 EDT by Ravi
Modified: 2014-11-09 18:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 847767 (view as bug list)
Environment:
Last Closed: 2013-02-20 21:29:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ravi 2012-08-09 01:57:07 EDT
Description of problem:
When trying to install jBPM5 over SOA-P 5.3.0 GA jBPM5 console is not coming and procedure for deployment of BPM projects not given.

Version-Release number of selected component (if applicable):
SOA-P 5.3.0 GA
soa-p-5.3.0.GA-jbpm5
How reproducible:
Follow the instructions given readme.txt of soa-p-5.3.0.GA-jbpm5.zip

Steps to Reproduce:
Follow the instructions given readme.txt of soa-p-5.3.0.GA-jbpm5.zip
  
Actual results:
No console for jBPM5 is shown

Expected results:
jBPM5 console in SOA Platform

Additional info:
Comment 1 Marek Baluch 2012-08-09 03:56:58 EDT
Hi Ravi,

I just tried the instructions in the README file and they work for me.

Steps I made (downloading binaries excluded)
1) Install HornetQ
2) put business-central.war, business-central-server.war, jbpm-humant-task.war into the deploy dir.
3) change security domain in business-central-server.war/WEB-INF/jboss-web.xml to java:/jaas/jmx-console
4) copy jbpm5.esb to the deploy dir.

Then when I try to access http://localhost:8080/business-central URL I can see the console.

Have I done something differently? Or perhaps I missed something?

Best regards
Marek.
Comment 2 Marek Baluch 2012-08-09 04:00:38 EDT
I used brms-p-5.3.0.GA-deployable to get the jbpm console archives mentioned in step 2. Other then that I used soa-5.3.0.GA.
Comment 3 Ravi 2012-08-09 06:07:30 EDT
Hi Marek,

Thanks a lot that asnwers my issue.
Comment 4 Ravi 2012-08-13 08:52:16 EDT
Hi,

I configured as given in the readme.txt but i was not sure about where to check the BPM console.

Now, i could check it by using  http://localhost:8080/business-central

Thanks,
Ravi
Comment 5 Marek Baluch 2012-08-13 09:06:29 EDT
Hi Ravi, 

that's good news. I will check with somebody to see if can update the documentation. Thanks for bringing this to our attention.

Regards
Marek

Note You need to log in before you can comment on or make changes to this bug.